net.minecraftforge.common.network.packet

## Class DimensionRegisterPacket

- java.lang.Object
- - net.minecraftforge.common.network.ForgePacket
  - - net.minecraftforge.common.network.packet.DimensionRegisterPacket

-     public class DimensionRegisterPacket
      extends ForgePacket

  This class offers the ability for servers to register dimensions on client.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `dimensionId` The dimension ID to register on client
    `int` | `providerId` The provider ID to register with dimension on client

    - ### Fields inherited from class net.minecraftforge.common.network.ForgePacket

      `CHANNEL_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DimensionRegisterPacket()`
    `DimensionRegisterPacket(int dimensionId, int providerId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ForgePacket` | `consumePacket(byte[] data)`
    `void` | `execute(INetworkManager network, EntityPlayer player)`
    `byte[]` | `generatePacket()`

    - ### Methods inherited from class net.minecraftforge.common.network.ForgePacket

      `getID, makePacketSet, readPacket`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dimensionId

          public int dimensionId

      The dimension ID to register on client

    - #### providerId

          public int providerId

      The provider ID to register with dimension on client

  - ### Constructor Detail

    - #### DimensionRegisterPacket

          public DimensionRegisterPacket()

    - #### DimensionRegisterPacket

          public DimensionRegisterPacket(int dimensionId,
                                 int providerId)

  - ### Method Detail

    - #### generatePacket

          public byte[] generatePacket()

      Specified by:
        `generatePacket` in class `ForgePacket`

    - #### consumePacket

          public ForgePacket consumePacket(byte[] data)

      Specified by:
        `consumePacket` in class `ForgePacket`

    - #### execute

          public void execute(INetworkManager network,
                     EntityPlayer player)

      Specified by:
        `execute` in class `ForgePacket`